[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'PairSplitter' (#lcl)

# TCustomPairSplitter.ChildClassAllowed

Determines if the class is inherited from a specific ancestor.

## Declaration

Source position: pairsplitter.pas line 117

`public function TCustomPairSplitter.ChildClassAllowed(`
`ChildClass: TClass`
`):Boolean; override;`

## Arguments

`ChildClass` |  | Class to compare in the method`

## Function result

True if the class has a specific ancestor.

## Description

ChildClassAllowed is an overridden Boolean function used to determine if the specified class is inherited from a specific ancestor class. ChildClassAllowed calls the ChildClass.InheritsFrom method. The return value is True when it is derived from the TPairSplitterSide or TSplitter classes.